petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetFunctionDomainError

tells SNES that the input vector to your SNESFunction is not in the functions domain. For example, negative pressure.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetFunctionDomainError(SNES snes)

Logically Collective on SNES Many br

### Input Parameters

snes -the SNES context Many br

Many br

### Keywords

SNES, view

### See Also

SNESCreate(), SNESSetFunction(), SNESFunction

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex10.c.html